package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryProductSupplier;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryProductSupplierExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InventoryProductSupplierMapper {
    
    int countByExample(InventoryProductSupplierExample example);
    
    int deleteByExample(InventoryProductSupplierExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryProductSupplier record);
    
    int insertSelective(InventoryProductSupplier record);
    
    List<InventoryProductSupplier> selectByExample(InventoryProductSupplierExample example);
    
    InventoryProductSupplier selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryProductSupplier record, @Param("example") InventoryProductSupplierExample example);
    
    int updateByExample(@Param("record") InventoryProductSupplier record, @Param("example") InventoryProductSupplierExample example);
    
    int updateByPrimaryKeySelective(InventoryProductSupplier record);
    
    int updateByPrimaryKey(InventoryProductSupplier record);
    
    void batchInsert(@Param("items") List<InventoryProductSupplier> items);
}